from pydantic import BaseModel


class AirflowRunBase(BaseModel):
    details: dict
    status: int
    af_run_id: str


class AirflowRunCreate(AirflowRunBase):
    start_time: float
    job_id: int
    run_ts: str


class AirflowRunUpdate(AirflowRunBase):
    pass
    # end_time: int


class AirflowRun(AirflowRunBase):
    id: int
    start_time: float
    end_time: float
    job_id: int
    af_run_id: str
    run_ts: str
    status: int

    class Config:
        orm_mode = True


class AirflowTrigger(BaseModel):
    parameters: dict
